Bug 194602 - [maintainer] Update astro/foxtrotgps to 1.2
Summary: [maintainer] Update astro/foxtrotgps to 1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-25 23:16 UTC by crwhipp
Modified: 2014-11-04 15:01 UTC (History)
2 users (show)

See Also:


Attachments
Patch to bring port up to latest version. (2.89 KB, patch)
2014-10-25 23:16 UTC, crwhipp
no flags Details | Diff
updated patch (4.80 KB, patch)
2014-10-31 04:15 UTC, crwhipp
no flags Details | Diff
svn diff to version 1.2 (3.47 KB, patch)
2014-11-01 19:00 UTC, crwhipp
no flags Details | Diff
poudriere testport log of build of new version (93.74 KB, text/x-log)
2014-11-01 19:01 UTC, crwhipp
no flags Details
Updated patch, removes %%PORTDOCS%% from pkg-plist (3.35 KB, patch)
2014-11-03 20:56 UTC, crwhipp
no flags Details | Diff
Updated poudriere testport log, with no %%PORTDOCS%% lines in pkg-plist. (96.53 KB, text/x-log)
2014-11-03 20:58 UTC, crwhipp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description crwhipp 2014-10-25 23:16:37 UTC
Created attachment 148652 [details]
Patch to bring port up to latest version.

The latest version of FoxtrotGPS has been released.  This patch brings the port, astro/foxtrotgps up to date.

apply with:
$ cd /usr/ports/astro/foxtrotgps
$ patch < ${PATH_TO_PATCH}

Updated port was tested with poudriere testport.
Comment 1 Wen Heping freebsd_committer 2014-10-28 14:41:09 UTC
Hi:

Failed patch, would you fix ?

Thanks !

wen

make patch
===>  License GPLv2 accepted by the user
===>   foxtrotgps-1.2.0 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by foxtrotgps-1.2.0 for building
===>  Extracting for foxtrotgps-1.2.0
=> SHA256 Checksum OK for foxtrotgps-1.2.0.tar.gz.
===>  Patching for foxtrotgps-1.2.0
===>  Applying FreeBSD patches for foxtrotgps-1.2.0
Ignoring previously applied (or reversed) patch.
2 out of 2 hunks ignored--saving rejects to src/main.c.rej
=> Patch patch-src-main failed to apply cleanly.
*** Error code 1

Stop.
make: stopped in /usr/ports/astro/foxtrotgps
Comment 2 crwhipp 2014-10-31 04:15:07 UTC
Created attachment 148815 [details]
updated patch

Updated patch.

apply via:

# cd /usr/ports/astro
# patch -E ${PATH_TO_PATCH}
Comment 3 John Marino freebsd_committer 2014-11-01 08:24:18 UTC
These non-standard +++ / --- lines from git aren't too friendly.  They can't be applied with svn patch although somebody can use "patch" with "-p" option.

There's no proof via testing provided though.

best: poudriere log with stage-qa checks enabled (attachment)

acceptable:  output from "portlint", "make check-plist", "make stage-qa" in an attachment.
Comment 4 crwhipp 2014-11-01 19:00:56 UTC
Created attachment 148898 [details]
svn diff to version 1.2
Comment 5 crwhipp 2014-11-01 19:01:30 UTC
Created attachment 148899 [details]
poudriere testport log of build of new version
Comment 6 crwhipp 2014-11-01 19:03:14 UTC
Alright - let's try this again.  Attached is the poudriere testport log and the svn diff to create the new version.  Part of this diff will remove the ./files subdirectory and its contents.
Comment 7 John Marino freebsd_committer 2014-11-01 22:47:33 UTC
Very nice! 
I'm promoting this PR to "patch-ready" status based on your new submissions.
Comment 8 Pawel Pekala freebsd_committer 2014-11-03 17:29:25 UTC
Hi,

When you add optional documentation using %%PORTDOCS%% plist substitution
you need to define DOCS option in port's Makefile:

OPTIONS_DEFINE= DOCS

so that user can see this option in port options dialog.

Also why not all files installed in DOCSDIR are covered with PORTDOCS sub?
This should be all files in DOCSDIR or none.
Comment 9 crwhipp 2014-11-03 20:56:42 UTC
Created attachment 149001 [details]
Updated patch, removes %%PORTDOCS%% from pkg-plist
Comment 10 crwhipp 2014-11-03 20:58:02 UTC
Created attachment 149002 [details]
Updated poudriere testport log, with no %%PORTDOCS%% lines in pkg-plist.
Comment 11 crwhipp 2014-11-03 20:59:01 UTC
(In reply to Pawel Pekala from comment #8)
> Hi,
> 
> When you add optional documentation using %%PORTDOCS%% plist substitution
> you need to define DOCS option in port's Makefile:
> 
> OPTIONS_DEFINE= DOCS
> 
> so that user can see this option in port options dialog.
> 
> Also why not all files installed in DOCSDIR are covered with PORTDOCS sub?
> This should be all files in DOCSDIR or none.

Submitted new patch and poudriere testport run log, with the %%PORTDOCS%% entries removed.
Comment 12 commit-hook freebsd_committer 2014-11-04 15:01:25 UTC
A commit references this bug:

Author: pawel
Date: Tue Nov  4 15:00:46 UTC 2014
New revision: 372145
URL: https://svnweb.freebsd.org/changeset/ports/372145

Log:
  Update to version 1.2.0

  PR:		194602
  Submitted by:	maintainer

Changes:
  head/astro/foxtrotgps/Makefile
  head/astro/foxtrotgps/distinfo
  head/astro/foxtrotgps/files/
  head/astro/foxtrotgps/pkg-plist